import { TypeOf } from "zod";
export declare const postgresCredentials: import("zod").ZodUnion<[import("zod").ZodObject<{
    host: import("zod").ZodString;
    port: import("zod").ZodOptional<import("zod").ZodNumber>;
    user: import("zod").ZodDefault<import("zod").ZodString>;
    password: import("zod").ZodOptional<import("zod").ZodString>;
    database: import("zod").ZodString;
    ssl: import("zod").ZodOptional<import("zod").ZodBoolean>;
}, "strip", import("zod").ZodTypeAny, {
    port?: number | undefined;
    password?: string | undefined;
    ssl?: boolean | undefined;
    host: string;
    user: string;
    database: string;
}, {
    port?: number | undefined;
    user?: string | undefined;
    password?: string | undefined;
    ssl?: boolean | undefined;
    host: string;
    database: string;
}>, import("zod").ZodObject<{
    url: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    url: string;
}, {
    url: string;
}>, import("zod").ZodObject<{
    driver: import("zod").ZodLiteral<"aws-data-api">;
    database: import("zod").ZodString;
    secretArn: import("zod").ZodString;
    resourceArn: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    database: string;
    driver: "aws-data-api";
    secretArn: string;
    resourceArn: string;
}, {
    database: string;
    driver: "aws-data-api";
    secretArn: string;
    resourceArn: string;
}>]>;
export type PostgresCredentials = TypeOf<typeof postgresCredentials>;
export declare const printConfigConnectionIssues: (options: Record<string, unknown>) => void;
